%
% Ponto de Bolha (bubble point):
% 
% Ref: Henley e Seader 
%      pag 282

clear all
clc
close all
warning off

%Valores especificados:
Tfvetor=40:1:70;  % temperatura de flash (Farenheit)
Tfvetor=Tfvetor';

z1=0.15;  % composicao da alimentacao  Substancia 48 ethane
z2=0.35;  % composicao da alimentacao  Substancia 64 propane
z3=0.30;  % composicao da alimentacao  Substancia 87 butane
% z4                                   Substancia 104 pentane

% Inicializando parametros
i=1;
Pvetor=[];
Yvetor=[];


% Loop para cada temperatura:
while (i<=length(Tfvetor)),
    
    %Parametros para a funcao
    Tf=Tfvetor(i);
    par=[Tf, z1, z2, z3];

    Pfinal = fzero('funcaoexerc2', 150, [],par);
    
    load resultado
    Yvetor=[Yvetor; Y];
    Pvetor=[Pvetor; Pfinal]; %em psia

    i=i+1;
end

figure(1)
plot(Tfvetor,Pvetor,'-r')
title('Ponto de Bolha')
xlabel('Temperatura (Farenheit)')
ylabel('Pressao (psia)')
%line([200,240],[420,420])
disp('Temperatura de bolha para P=120')
disp( Tfvetor(min(find(Pvetor>120))) )

