%
% Ponto de Orvalho (dew point):
% 
% Ref: Henley e Seader 
%      pag 283

clear all
close all
clc
warning off

%Valores especificados:
Tfvetor=130:1:180;  % temperatura (Farenheit)
Tfvetor=Tfvetor';
z1=0.15;  % composicao da alimentacao Substancia 48
z2=0.35;  % composicao da alimentacao Substancia 64
z3=0.30;  % composicao da alimentacao Substancia 87
%  z4                                 Substancia 104

% Inicializando parametros
i=1;
Pvetor=[];
Xvetor=[];


% Loop para cada temperatura:
while (i<=length(Tfvetor)),

    %Parametros para a funcao
    Tf=Tfvetor(i);
    par=[Tf, z1, z2, z3];

    Pfinal = fzero('funcaoexerc2b', 700, [],par);
    
    load resultado
    Xvetor=[Xvetor; X];
    Pvetor=[Pvetor; Pfinal];

    i=i+1;
end


figure(1)
plot(Tfvetor,Pvetor,'-r')
xlabel('Temperatura (Farenheit)')
ylabel('Pressao (psia)')

disp('Temperatura de orvalho (para pressao 120)')
disp(Tfvetor(min(find(Pvetor>120))))