function [y] = funcaoexerc1c(x,pars)

% Parametros recebidos:
z1=pars(1);
z2=pars(2);
z3=pars(3);
z4=pars(4);
fi=pars(5);
Pf=pars(6);

% valor a encontrar:
Tf=x;


	% 4) 
		% Assumindo valores de k(t,p):
		
		% Pela Equacao de Antoine (eq 4-69, pag 159):
		% (valores de Pc do apendice 1, parte A, pag 715)
		% (valores de A1, A2, A3 do apendice 1, parte B, pag 720)
        % (temperatura em Farenheit)
        % (pressao em psia)
		A1=5.383894   ; A2=2847.921    ; A3=434.898    ; Pc=709.8  ; T=Tf;  %Substancia 48
		divisao=exp( A1 - ( A2/(T+A3)  )  );
		Ps1=Pc*divisao;
		
		A1=5.353418   ; A2=3371.084    ; A3=414.488    ; Pc=617.4  ; T=Tf;  %Substancia 64
		divisao=exp( A1 - ( A2/(T+A3)  )  );
		Ps2=Pc*divisao;
		
		A1= 5.741624   ; A2=4126.385    ; A3=409.5179   ; Pc=550.7  ; T=Tf;   %Substancia 87
		divisao=exp( A1 - ( A2/(T+A3)  )  );
		Ps3=Pc*divisao;
		
		A1=5.853654   ; A2=4598.287    ; A3=394.4148    ; Pc=489.5  ; T=Tf;    %Substancia 104
		divisao=exp( A1 - ( A2/(T+A3)  )  );
		Ps4=Pc*divisao;


		% Pela Lei de Raoult (eq 4-75, pag 161):
		P=Pf;
		k1=Ps1/P;
		k2=Ps2/P;
		k3=Ps3/P;
		k4=Ps4/P;


		% Eq 7.11 (pag 274)
		y=( (z1*(1-k1))/(1+(fi*(k1-1))) )...
		+ ( (z2*(1-k2))/(1+(fi*(k2-1))) ) ...
		+ ( (z3*(1-k3))/(1+(fi*(k3-1))) ) ...
		+ ( (z4*(1-k4))/(1+(fi*(k4-1))) ) ;