function [f] = funcaoexerc4(Tf,par)

%Valores especificados:
Pf=par(1);
P=Pf;
z1=par(2);  % propano subst 64
z2=par(3);  % isobutano subst 86
z3=par(4);  % isopentano subst 103

x1=z1; % composicao 
x2=z2; % composicao 
x3=z3; % composicao


% 1) Estimativas para y:

y1velho=0.30;
y2velho=0.25;
y3velho=0.45;

%Inicializa erro:
erro=2;

while (erro>0.05),
	
	% 2) 
	% Assumindo valores de k(t,p):
	
	% Pela Equacao de Antoine (eq 4-69, pag 159):
	% (valores de Pc do apendice 1, parte A, pag 715)
	% (valores de A1, A2, A3 do apendice 1, parte B, pag 720)
    % (temperatura em Farenheit)
    % (pressao em psia)

	A1=5.353418   ; A2=3371.084    ; A3=414.488    ; Pc=617.4  ; T=Tf;  %Substancia 64
	divisao=exp( A1 - ( A2/(T+A3)  )  );
	Ps1=Pc*divisao;
	
	A1= 4.812879   ; A2=5194.59    ; A3=279.0869   ; Pc=529.10  ; T=Tf;   %Substancia 86
	divisao=exp( A1 - ( A2/(T+A3)  )  );
	Ps2=Pc*divisao;
	
	A1=5.49978   ; A2=4221.154    ; A3=387.287    ; Pc=483.0  ; T=Tf;    %Substancia 103
	divisao=exp( A1 - ( A2/(T+A3)  )  );
	Ps3=Pc*divisao;
	
	
	% Pela Lei de Raoult (eq 4-75, pag 161):
	k1=Ps1/P;
	k2=Ps2/P;
	k3=Ps3/P;

	
	
	% 3)
	% Calculo de y:
	y1=k1*z1;
	y2=k2*z2;
	y3=k3*z3;

	
    % 4)
	% Normaliza:
	y1n=y1/(y1+y2+y3);
	y2n=y2/(y1+y2+y3);
	y3n=y3/(y1+y2+y3);

    
    y1=y1n;
    y2=y2n;
    y3=y3n;
    
    
    
    % Calculo do erro:
     erro1=abs(y1velho-y1);
     erro2=abs(y2velho-y2);
     erro3=abs(y3velho-y3);
     erro=erro1+erro2+erro3;
     
     y1velho=y1;
     y2velho=y2;
     y3velho=y3;
     
     % resultado desse loop:
     Y=[y1velho, y2velho, y3velho];
 end
 
 save resultado Y; %salva o resultado final
 
 % 5)Calcula f(O) (eq 7.18)
  f= 1 - ( (z1*k1)+(z2*k2)+(z3*k3) );
  
  