function [f] = funcaoexerc4d(Tf,par)

%Valores especificados:
P=par(1); 
z1=par(2);  
z2=par(3);  
z3=par(4); 

y1=z1; % composicao 
y2=z2; % composicao 
y3=z3; % composicao


% 1) Estimativas para y:

x1velho=0.50;
x2velho=0.20;
x3velho=0.30;


%Inicializa erro:
erro=2;

while (erro>0.01),
        
	
	% 2) 
	% Assumindo valores de k(t,p):
	
	% Pela Equacao de Antoine (eq 4-69, pag 159):
	% (valores de Pc do apendice 1, parte A, pag 715)
	% (valores de A1, A2, A3 do apendice 1, parte B, pag 720)
    % (temperatura em Farenheit)
    % (pressao em psia)
	A1=5.353418   ; A2=3371.084    ; A3=414.488    ; Pc=617.4  ; T=Tf;  %Substancia 64
	divisao=exp( A1 - ( A2/(T+A3)  )  );
	Ps1=Pc*divisao;
	
	A1=5.611805    ; A2= 3870.419   ; A3= 409.949  ; Pc=529.10  ; T=Tf;   %Substancia 86
	divisao=exp( A1 - ( A2/(T+A3)  )  );
	Ps2=Pc*divisao;
	
	A1=5.49978   ; A2=4221.154    ; A3=387.287    ; Pc=483.0  ; T=Tf;    %Substancia 103
	divisao=exp( A1 - ( A2/(T+A3)  )  );
	Ps3=Pc*divisao;
	
	
  
    
    
    
	% Pela Lei de Raoult (eq 4-75, pag 161):
	k1=Ps1/P;
	k2=Ps2/P;
	k3=Ps3/P;
	
	
	
	% 3)
	% Calculo de x:
	x1=z1/k1;
	x2=z2/k2;
	x3=z3/k3;

	
    % 4)
	% Normaliza:
	x1n=x1/(x1+x2+x3);
	x2n=x2/(x1+x2+x3);
	x3n=x3/(x1+x2+x3);

    
    x1=x1n;
    x2=x2n;
    x3=x3n;

    
    
    
    % Calculo do erro:
     erro1=abs(x1velho-x1);
     erro2=abs(x2velho-x2);
     erro3=abs(x3velho-x3);
     erro=erro1+erro2+erro3;
     
     x1velho=x1;
     x2velho=x2;
     x3velho=x3;

     
     % resultado desse loop:
     X=[x1velho, x2velho, x3velho];
 end
 
 save resultado X; %salva o resultado final
 
 % 5)Calcula f(1) (eq 7.20)
  f= ( (z1/k1)+(z2/k2)+(z3/k3) ) - 1;
  